All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::invalid_mem_object Class Reference

Exception thrown if an invalid OpenCL memory object (of type cl_mem) is passed to an OpenCL funciton. More...

`#include <error.hpp>`

Inheritance diagram for viennacl::ocl::invalid_mem_object:

## Detailed Description

Exception thrown if an invalid OpenCL memory object (of type cl_mem) is passed to an OpenCL funciton.

Definition at line 293 of file error.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/error.hpp